#### D.7.1.13 invariant_basis

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  invariant_basis(g,G1,G2,...);
  g: an <int> indicating of which degree (>0) the homogeneous basis shoud be, G1,G2,...: <matrices> generating a finite matrix group

Returns:
  the basis (type <ideal>) of the space of invariants of degree g

Theory:
  A general polynomial of degree g is generated and the generators of the matrix group applied. The difference ought to be 0 and this way a system of linear equations is created. It is solved by computing syzygies.

Example:

    LIB "finvar.lib";
    ring R=0,(x,y,z),dp;
    matrix A[3][3]=0,1,0,-1,0,0,0,0,-1;
    print(invariant_basis(2,A));
    ==> x2+y2,
    ==> z2

User manual for Singular version 4-0-3, 2016, generated by texi2html.